libzypp 17.37.10

Queue.cc File Reference
`#include <solv/queue.h>`
`#include <iostream>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/sat/Queue.h>`
`#include <zypp/sat/Solvable.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::sat

## Macros
#define | M_RANGE_CKECK(IDX, LOC)

## Functions
template<>
sat::detail::CQueue * | zypp::rwcowClone< sat::detail::CQueue > (const sat::detail::CQueue *rhs)
std::ostream & | zypp::sat::operator<< (std::ostream &str, const Queue &obj)
std::ostream & | zypp::sat::dumpOn (std::ostream &str, const Queue &obj)
bool | zypp::sat::operator== (const Queue &lhs, const Queue &rhs)

## Macro Definition Documentation

## ◆ M_RANGE_CKECK

#define M_RANGE_CKECK | ( |  | IDX,
|  |  | LOC )

Value:
if ( IDX >= size_type(_pimpl->count) ) throw std::out_of_range( "zypp::sat::Queue::" LOC )

Definition at line 80 of file Queue.cc.